<?php
/**
 * @version        Somao_Search X1.0 9:23 2012-1-1 Somao $
 * @package        Somao_Search.Site
 * @copyright      Copyright (c) 2009 - 2012, Somao, Inc.
 * @license        http://www.somao123.com/
 * @link           http://www.somao.cc/
 */
require_once("global.php");
require_once("lib/alipay_notify.class.php");

//计算得出通知验证结果
$alipayNotify = new AlipayNotify($aliapy_config);
$verify_result = $alipayNotify->verifyNotify();

if($verify_result) {//验证成功
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//请在这里加上商户的业务逻辑程序代

    $out_trade_no	= $_POST['out_trade_no'];	    //获取订单号
    $trade_no		= $_POST['trade_no'];	    	//获取支付宝交易号
    $total_fee		= $_POST['total_fee'];			//获取总价格

    if($_POST['trade_status'] == 'TRADE_FINISHED' ||$_POST['trade_status'] == 'TRADE_SUCCESS') {    //交易成功结束
		//判断该笔订单是否在商户网站中已经做过处理（可参考“集成教程”中“3.4返回数据处理”）
			//如果没有做过处理，根据订单号（out_trade_no）在商户网站的订单系统中查到该笔订单的详细，并执行商户的业务程序
			//如果有做过处理，不执行商户的业务程序
        
		echo "success";		//请不要修改或删除

        //调试用，写文本函数记录程序运行情况是否正常
        //logResult("这里写入想要调试的代码变量值，或其他运行的结果记录");
    }
    else {
        echo "success";		//其他状态判断。普通即时到帐中，其他状态不用判断，直接打印success。

        //调试用，写文本函数记录程序运行情况是否正常
        //logResult("这里写入想要调试的代码变量值，或其他运行的结果记录");
    }

	$row3 = $db->get_one("select * from ve123_member_orders where oid='$out_trade_no'");
	if($row3['state']==0){
	  $utime=time();
	  $array=array('state'=>1,'utime'=>$utime);
	  $db->update("ve123_member_orders",$array,"oid='$out_trade_no' and uid='$uid'"); 
	  $total_fee2=$total_fee*$config['alipay_propor'];  //充值比例
	  $point=$total_fee2+$points;
	  $array2=array('points'=>$point);
      $db->update("ve123_member",$array2,"user_name='$uname'");  
      echo "<script> alert('充值成功')</script>";
	  echo "<script> alert('"."您的订单号是：".$trade_no."已经完成支付手续，您当前账号余款为".$point."')</script>";
	}else{
	  echo "<script> alert('充值成功,请不要重复操作')</script>";
	}
	
}
else {
    //验证失败
    echo "fail";
	echo "<script> alert('充值失败,请检查你的支付宝账号是否输入正确或者请联系管理员直接充值')</script>";

}
?>
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>支付宝即时到帐接口</title>
<script type="text/javascript">
function gourl()
{
	location.href='/tg/'
}
</script>
</head>
<body onload="gourl()">
</body>
</html>
